Summary:	Download utility with resuming and segmented downloading
Name:		aria2
Version:	1.25.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/File transfer
URL:		http://aria2.sourceforge.net/
Source0:	https://github.com/aria2/aria2/releases/download/release-%{version}/aria2-%{version}.tar.xz
BuildRequires:	bison
Buildrequires:	libxml2-devel
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	pkgconfig(gnutls) >= 2.2.0
BuildRequires:	pkgconfig(libcares) >= 1.7.0
BuildRequires:	sqlite3-devel
BuildRequires:	cppunit-devel
Requires:	rootcerts
#we need 1.7.0 to have ares_library_init available
Requires:	c-ares >= 1.7.0
Provides:	webfetch

%description
Aria2 has segmented downloading engine in its core. It can download one 
file from multiple URLs or multiple connections from one URL. This results
in very high speed downloading, very much faster than ordinary browsers.
This engine is implemented with a single-thread model.
It can also download BitTorrent files and supports Metalink version 3.0.

%package doc
Summary:	Documentation for %{name}
Group:		Networking/File transfer
BuildArch:	noarch

%description doc
This package contains the documentation for %{name}.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -Os"
export CXXFLAGS="$CFLAGS"

%configure2_5x \
	--with-ca-bundle="%{_sysconfdir}/pki/tls/cert.pem" \
	--enable-bittorrent \
	--enable-metalink \
	--enable-epoll \
	--enable-threads=posix \
	--disable-rpath \
	--with-gnutls \
	--with-libcares \
	--with-libxml2 \
	--without-openssl \
	--with-libz \
	--with-sqlite3 \
	--without-libexpat \

%make_build

# disable checks on ARM
%ifnarch %arm
%check
make check
%endif

%install
%make_install
rm -f %{buildroot}%{_docdir}/%{name}/README{,.asciidoc}
install NEWS %{buildroot}%{_docdir}/%{name}/

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%exclude %{_docdir}/%{name}
%{_bindir}/*
%{_mandir}/man1/*

%files doc
%doc %{_docdir}/%{name}/*


%changelog
* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.25.0-1.mga6
+ Revision: 1045490
- 1.25.0

* Tue Jun 14 2016 tv <tv> 1.23.0-3.mga6
+ Revision: 1021465
- disable testsuite on ARM as it prevents the build to succeed

* Tue Jun 14 2016 tv <tv> 1.23.0-2.mga6
+ Revision: 1021438
- use new build macros
- re-enable testsuite on ix86

* Wed May 25 2016 luigiwalser <luigiwalser> 1.23.0-1.mga6
+ Revision: 1018468
- 1.23.0

* Fri May 06 2016 luigiwalser <luigiwalser> 1.22.0-1.mga6
+ Revision: 1009920
- 1.22.0

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.19.3-2.mga6
+ Revision: 921795
- rebuild for gnutls

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.19.3-1.mga6
+ Revision: 918703
- 1.19.3
- fix source URL

* Thu Sep 03 2015 cjw <cjw> 1.19.0-3.mga6
+ Revision: 872522
- rebuild with gcc 5

* Mon Aug 17 2015 fwang <fwang> 1.19.0-2.mga6
+ Revision: 865211
- cleanup buildrequires. gcrypt is not needed as we currently using nettle

* Mon Jun 29 2015 solbu <solbu> 1.19.0-1.mga6
+ Revision: 847386
- 1.19.0

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

  + luigiwalser <luigiwalser>
    - 1.18.8

* Tue Sep 16 2014 umeabot <umeabot> 1.18.7-2.mga5
+ Revision: 677893
- Mageia 5 Mass Rebuild

* Thu Jul 24 2014 luigiwalser <luigiwalser> 1.18.7-1.mga5
+ Revision: 656167
- 1.18.7

* Fri Jul 18 2014 luigiwalser <luigiwalser> 1.18.6-1.mga5
+ Revision: 653533
- 1.18.6

* Mon Jun 16 2014 dmorgan <dmorgan> 1.18.5-2.mga5
+ Revision: 636850
- Rebuild against new libnettle

* Sun Mar 30 2014 luigiwalser <luigiwalser> 1.18.5-1.mga5
+ Revision: 610721
- 1.18.5

* Mon Mar 24 2014 luigiwalser <luigiwalser> 1.18.4-1.mga5
+ Revision: 607601
- 1.18.4

* Fri Feb 14 2014 luigiwalser <luigiwalser> 1.18.3-1.mga5
+ Revision: 591337
- 1.18.3

* Sun Dec 29 2013 tmb <tmb> 1.18.1-2.mga4
+ Revision: 563009
- Fix bad fork() return value handling (upstream)
- revert to 1.18.1

  + luigiwalser <luigiwalser>
    - 1.18.2

* Tue Nov 05 2013 luigiwalser <luigiwalser> 1.18.1-1.mga4
+ Revision: 549749
- 1.18.1

* Sat Oct 19 2013 umeabot <umeabot> 1.18.0-2.mga4
+ Revision: 534380
- Mageia 4 Mass Rebuild

* Wed Sep 11 2013 luigiwalser <luigiwalser> 1.18.0-1.mga4
+ Revision: 477509
- 1.18.0

* Sun Jun 02 2013 luigiwalser <luigiwalser> 1.17.1-1.mga4
+ Revision: 434311
- 1.17.1

* Fri May 24 2013 luigiwalser <luigiwalser> 1.17.0-1.mga4
+ Revision: 426851
- 1.17.0

* Wed Feb 06 2013 luigiwalser <luigiwalser> 1.16.3-1.mga3
+ Revision: 394871
- 1.16.3

* Fri Jan 11 2013 umeabot <umeabot> 1.16.1-2.mga3
+ Revision: 346058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 luigiwalser <luigiwalser> 1.16.1-1.mga3
+ Revision: 335591
- 1.16.1

  + tv <tv>
    - package NEWS

* Sun Dec 02 2012 fwang <fwang> 1.16.0-1.mga3
+ Revision: 324913
- new version 1.16.0

* Mon Sep 03 2012 luigiwalser <luigiwalser> 1.15.2-1.mga3
+ Revision: 287478
- 1.15.2

* Mon Aug 13 2012 luigiwalser <luigiwalser> 1.15.1-1.mga3
+ Revision: 281018
- 1.15.1

* Tue Jun 26 2012 tv <tv> 1.15.0-1.mga3
+ Revision: 264136
- new release

* Wed Feb 29 2012 fwang <fwang> 1.14.2-2.mga2
+ Revision: 216083
- try to fix file conflicts

* Tue Feb 28 2012 fwang <fwang> 1.14.2-1.mga2
+ Revision: 215767
- new version 1.14.2

* Thu Jan 12 2012 fwang <fwang> 1.14.1-1.mga2
+ Revision: 195118
- new version 1.14.1

* Tue Jan 03 2012 tv <tv> 1.14.0-1.mga2
+ Revision: 190160
- new release

* Sun Nov 27 2011 tv <tv> 1.13.0-1.mga2
+ Revision: 172526
- new release

* Sun Nov 27 2011 tv <tv> 1.12.1-3.mga2
+ Revision: 172515
- fix aria2 after priority upgrade:?\194?\160it needs a new enough libgcrypt (mga#3361)

* Thu Nov 10 2011 blino <blino> 1.12.1-2.mga2
+ Revision: 166051
- split out big doc files in a doc subpackage

  + tv <tv>
    - new release

  + fwang <fwang>
    - rebuild for new gnuls
    - update file list
    - new version 1.12

* Wed Jun 08 2011 kharec <kharec> 1.11.2-1.mga2
+ Revision: 101957
- new version 1.11.2

* Tue Apr 19 2011 tv <tv> 1.11.1-1.mga1
+ Revision: 88368
- new release

* Wed Apr 13 2011 tv <tv> 1.10.9-1.mga1
+ Revision: 84085
- new release

* Sun Jan 09 2011 kharec <kharec> 1.10.8-1.mga1
+ Revision: 2121
- imported package aria2

